"""Implementation of FbcObjective class.

Peter Schubert, HHU Duesseldorf, June 2022
"""

import sbmlxdf


class FbcObjective:

    def __init__(self, s_fbc_objective):
        self.id = s_fbc_objective.name
        self.name = s_fbc_objective.get('name', '')
        self.direction = s_fbc_objective['type']
        self.active = s_fbc_objective['active']
        self.coefficiants = {}
        for reac_ref in sbmlxdf.record_generator(s_fbc_objective['fluxObjectives']):
            params = sbmlxdf.extract_params(reac_ref)
            self.coefficiants[params['reac']] = float(params['coef'])
